Subject: Re: [PWE3] Comments on draft-jounay-pwe3-leaf-initiated-p2mp-pw-01

From: Sherry Xue <[email-masked]>
Date: Sat, 25 Apr 2009 15:41:36 +0800

Hi, Fred,
I totally agree with your opinion that the leaf-initiated mode and
source-initiated mode are not restricted in the application of SS-PW and
MS-PW.
IMO, leaf initiated mode is more conveniently for MS-PW, and in the source
initiated mode, more work should be considered for MS-PW, such as AD and PW
routing. I agree the standardization work course with admiration. 

For P2MP SS-PW setup in leaf-initiated mode, it may be divided into two
instances:
1)over P2P PSN :
this case may be according to MP2P signaling, similarly as
star-topology(logically), in which P2MP SS-PW is composed of m(leaf no.)*P2P
SS-PW, and all the P2P SS-PWs should be setup individually without
consideration of the merge-node(physically). That is to say in the merge
node, there will be different labels allocated upstream for different
downstream T-PEs.
2) over P2MP PSN
The merge-node should record the Label(called label L) allocated by the
downstream TAII(called  X) with SAII( S ), and if another signaling message
from other TAII(i.e.,Y) is received with same SAII, the merge-node should
allocated label L for TAII Y(upstream label assignment), and then allocate
upstream label to next upstream hop. 
IMO, if the P2MP PW is initiated by the leafs, the PSN tunnel should be
restrict to P2P, because it sounds illogical that the leaf node is used to
manage a P2MP LSP or PW? What about your opinion?

For P2MP MS-PW setup in source-initiated mode, the explicit routing should
be provided in the source PE. So the LDP should be extended for MS-PW setup
according explicit routing. Right? Whether the explicit routing is the only
method for the PW routing? 

Regarding the P2P PW setup procedure, there are two protocols, LDP and BGP.
Could we use BGP for P2MP PW setup?

Best wishes and regards
Sherry

> Hi Xinquan
> 
> "In my opinion, your original intention is to propose leaf-initiated mode
as
> a solution for inter-domain scenario, and source-initiated mode for
> intra-domain scenario. Am I right?"
> 
> not really, actually both procedures (leaf or source initiated)  are not
> limited in their operating principles and as such could be used  to cover
SS-PW
> and MS-PW configuration.
> For the standardization work we propose to focus first on P2MP SS-PW  as
it
> is the simplest configuration, to agree on the required new  building
blocks :
> FEC element, signaling procedures etc...
> The part related to P2MP SS-PW setup in the leaf-initiated draft and the
part
> related to P2MP MS-PW setup in the source-initiated draft should be added
asap
> or considered in a separate document.
> 
> Regarding their network applicability the choice between both approaches
will
> have to be made on a case by case basis, driven by architectural and
operational
> constraints. For the moment we felt the need to investigate both solutions
in
> parallel.
> 
> Do you have any comment on the applicability of the two approaches ?  Or
any
> specific requirement that would need to be included in the requirements
draft
> on P2MP PW ?
> 
> Best Regards,
> 
> Fred
> 
> ________________________________
> 
> De : [email-masked] [mailto:[email-masked]] De la part de
> [email-masked]
> Envoy? : mardi 21 avril 2009 03:23
> ? : JOUNAY Frederic RD-RESA-LAN
> Cc : [email-masked]; [email-masked]; [email-masked]
> Objet : ??: RE: Comments on draft-jounay-pwe3-leaf-initiated-p2mp-pw-01
> 
> 
> 
> Hi Frederic,
> 
> Thanks for your clarificaton.
> 
> You have two drafts about P2MP PW signaling, one is leaf-initiated mode
and
> the other is source-initiated mode. In my opinion, your original intention
is
> to propose leaf-initiated mode as a solution for inter-domain scenario,
and
> source-initiated mode for intra-domain scenario. Am I right? Or your have
other
> considerations?
> 
> Best regards!
> 
> Xinquan Zhang
> 
> 2009/4/21
> 
> 
> 
> 
> 
> <[email-masked]>
> ???:  [email-masked]
> 
> 2009-04-20 20:55
> 
> ???
> <[email-masked]>
> ??
> [email-masked], [email-masked], [email-masked]
> ??
> RE: Comments on draft-jounay-pwe3-leaf-initiated-p2mp-pw-01
> 
> 
> 
> 
> 
> 
> Hi Xinquan,
> 
> Please see my answer inline [FJ]
> 
> Best Regards,
> Fred
> 
> 
> ________________________________
> 
> De : [email-masked] [mailto:[email-masked]]
> Envoy? : mercredi 15 avril 2009 07:50
> ? : JOUNAY Frederic RD-RESA-LAN
> Cc : [email-masked]; [email-masked]
> Objet : Comments on draft-jounay-pwe3-leaf-initiated-p2mp-pw-01
> 
> 
> Hi, Frederic,
> 
> I have read draft-jounay-pwe3-leaf-initiated-p2mp-pw-01 and have some
> comments. please see below:
> 
> 1?section 5.4. Configuration
> 
>   After configuring on each T-PE the attached AIIs, it is assumed that
>   all the PEs (Ingress/Egress T-PEs and all S-PEs) maintain an AII PW
>   routing table which gives for each AII as entry the "next hop" to
>   reach that AII. This AII routing table can be filled manually or
>   updated dynamically by means of some extended routing protocol like
>   proposed in [DYN MS-PW]. The construction of the table is out of
>   scope of the present document.
> 
>   Each PE relies on its AII PW routing table to select the next hop PE
>   (S-PE or T-PE) to reach a given AII.
> 
> >1  Does this AII routing table include both TAII and SAII?
> [FJ] Yes, the AII routing table dynamically populated (BGP, OSPF, IS-IS or
LDP)
> should maintain both. The Egress T-PE joins the PW tree by initiating a
Label
> Map whose the FEC contains the SAII, the PW tree source. Hence upon
receipt
> of the message the S-PE does a lookup to select the NH to reach this SAII.
> >2  In S-PE, this AII routing table includes all the AII, or just part of
the
> AII( e.g. which are in its dowstream)?
> [FJ] the AII routing table should be used also for VPWS or VPLS, so
bidirectional
> PW. Therefore the AII routing table must reflect all the AII configured on
T-PEs.
> Of course agregate AII format (i.e. w/o ACID info) as defined in [DYN
MS-PW]
> must be used to optimize the AII routing table
> 
> 2?Section 5.7. Using TAII Leaf Sub-TLV
> 
>   Section TBD
> 
>   The TAII Leaf sub-TLV MAY be optionally used when a leaf joins the PW
>   tree to announce to the source that it is part from the PW tree. If
>   this option is chosen, the Egress T-PE adds to the FEC Element this
>   TAII sub-TLV in the Label Map message. As soon as in the source
>   direction a Label Map is not required since for instance a S-PE
>   already maintains a state for this MS-PW tree, the information
>   related to the Leaf TAIIs is retrieved from the TAII Leaf sub-TLV and
>   is propagated by means of a LDP Notification message up to the
>   corresponding Ingress T-PE.
> > I am not sure about the propagation of TAII Leaf sub-TLV. Is it sent to
ingress
> T-PE directly, or to the upstream S-PE(if there exists such S-PE in the
upstream
> direction)?
> [FJ] The Notification message can not be directly sent to the Ingress T-PE
if
> there is not direct T-LDP session to reach the Ingress T-PE, i.e. S-PE in
between.
> That's the reason why the message should be propagated hop by hop (i.e.
S-PE
> by S-PE) up to the Ingress T-PE.
>  I agree with you that's worth clarifying this section.
> 
> Best Regards!
> 
> Xinquan Zhang
> 
> 2009/4/15
> 
> 
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
> <http://www.ietf.org/mail-archive/web/pwe3/attachments/20090421/6a21e3e1/a
> ttachment.htm>
> 
> ------------------------------
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
> 
> 
> End of pwe3 Digest, Vol 60, Issue 26
> ************************************